| GET | /RestApi/translations/review/{id} |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Id | path | Guid | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| ActualSourceLanguage | form | string | No | |
| TargetLanguage | form | string | No | |
| ItemType | form | string | No | |
| UnitGroups | form | IList<TranslationUnitGroupProxy> | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Name | form | string | No | |
| Units | form | IList<TranslationUnitProxy> | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| PropertyName | form | string | No | |
| SourceValue | form | string | No | |
| TargetValue | form | string | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/translations/review/{id} HTTP/1.1
Host: www.imglobal.com
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length
{"ActualSourceLanguage":"String","TargetLanguage":"String","ItemType":"String"}